Announcement

Collapse
No announcement yet.

How to Feed Data to Multiple Sites - A Brief Guide

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • abcd567
    replied
    Installed OpenSky Network Data Feeder on MX-Linux on Intel PC

    OpenSky-feeder Map+Max Range.png . Opensky-network-1000.png

    STEP-BY-STEP METHOD

    STEP-1

    Code:
    wget https://opensky-network.org/files/firmware/opensky-feeder_latest_i386.deb
    
    sudo dpkg --install opensky-feeder_latest_i386.deb
    The 2nd command above will install opensky-feeder. and then open a dialogue to configure it (latitude, longitude, height of antenna, opensky user name etc).

    You should sign-up with opensky-network.org and obtain a user name before starting installation.


    If at any srtage you want to make changes to settings, give foillowing command and enter new values.

    Code:
    sudo dpkg-reconfigure opensky-feeder

    STEP-2
    Although MX-Linux is shipped with both systemd and sysvinit, by default systemd is disabled. The developers of MX-Linux recommend to keep systemd disabled, and use sysvinit.

    Dump1090-mutability, FR24Feeder, Plane Finder Feeder, and FlightAware Feeder detect that systemd has been disabled, and install startup files in /etc/init.d folder for sysvinit. Unfortunately Opensky network feeder does not install the init file needed by sysvinit. It installs only .service files for systemd. As a result, Opensky feeder does not start at boot, and cannot be started manually as well by command "sudo service opensky start". This situation can be overcome either by enabling systemd OR manually creating init file.

    The systemd can be enabled at boot when Grub is displayed. Choose advanced boot option, and in that option enable systemd.

    Since the MX-Linux team recommends NOT to enable systemd and instead use sysvinit, I did NOT enable systemd. Instead I created
    an init file inside folder /etc/init.d. The details are as follows:

    Code:
    #Create a blank file in folder /etc/init.d
    sudo touch /etc/init.d/opensky
    
    
    #Make this new file Executeable
    sudo chmod +x /etc/init.d/opensky
    
    
    #Open new blank file in nano to edit it
    sudo nano /etc/init.d/opensky
    In the file opened above, copy-paste following code
    NOTE: Full code is not directly visible in the window below. Please scroll down to see full code.

    Code:
    #!/bin/bash
    ### BEGIN INIT INFO
    # Provides:          opensky
    # Required-Start:    $remote_fs $network
    # Required-Stop:     $remote_fs $network
    # Default-Start:     2 3 4 5
    # Default-Stop:      0 1 6
    # Short-Description: opensky daemon
    # Description:       Receives ADS-B messages from a decoder like dump1090
    #                    and sends to opensky network via internet
    ### END INIT INFO
    
    # Do NOT "set -e"
    
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/sbin:/usr/sbin:/bin:/usr/bin
    DESC="opensky-feeder daemon"
    NAME=opensky
    DAEMON=/usr/bin/openskyd-dump1090
    ARGS=""
    PIDFILE=/var/run/$NAME.pid
    SCRIPTNAME=/etc/init.d/$NAME
    OSUSER=openskyd
    LOGFILE=/var/log/opensky.log
    
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    
    
    # Load the VERBOSE setting and other rcS variables
    . /lib/init/vars.sh
    
    # Define LSB log_* functions.
    # Depend on lsb-base (>= 3.2-14) to ensure that this file is present
    # and status_of_proc is working.
    . /lib/lsb/init-functions
    
    #
    # Function that starts the daemon/service
    #
    do_start()
    {
            # Return
            #   0 if daemon has been started
            #   1 if daemon was already running
            #   2 if daemon could not be started
    
    
            start-stop-daemon --start --pidfile $PIDFILE --user "$OSUSER" --exec $DAEMON --test > /dev/null \
                    || return 1
    
    
            # create logfile with the appropriate permissions if not already there
            touch $LOGFILE
            chown "$OSUSER":root $LOGFILE
    
            start-stop-daemon --start  --pidfile $PIDFILE --user "$OSUSER" --chuid "$OSUSER" --make-pidfile --background --no-close --exec $DAEMON -- \
                     >$LOGFILE 2>&1 \
                    || return 2
            sleep 1
    }
    
    #
    # Function that stops the daemon/service
    #
    do_stop()
    {
            # Return
            #   0 if daemon has been stopped
            #   1 if daemon was already stopped
            #   2 if daemon could not be stopped
            #   other if a failure occurred
            start-stop-daemon --stop --retry=TERM/30/KILL/5 --pidfile $PIDFILE --user "$OSUSER" --exec $DAEMON
            RETVAL="$?"
            [ "$RETVAL" = 2 ] && return 2
            sleep 1
            # Many daemons don't delete their pidfiles when they exit.
            rm -f $PIDFILE
            return "$RETVAL"
    }
    
    case "$1" in
      start)
            [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
            do_start
            case "$?" in
                    0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                    2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
            esac
            ;;
      stop)
            [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
            do_stop
            case "$?" in
                    0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
                    2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
            esac
            ;;
      status)
            status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
            ;;
      restart|force-reload)
            log_daemon_msg "Restarting $DESC" "$NAME"
            do_stop
            case "$?" in
              0|1)
                    do_start
                    case "$?" in
                            0) log_end_msg 0 ;;
                            1) log_end_msg 1 ;; # Old process is still running
                            *) log_end_msg 1 ;; # Failed to start
                    esac
                    ;;
              *)
                    # Failed to stop
                    log_end_msg 1
                    ;;
            esac
            ;;
      *)
            echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
            exit 3
            ;;
    esac
    
    :
    
    #
    Save file (Ctrl+o) and close (Ctrl+x)

    Enable opensky init script to start at boot, and reboot computer
    Code:
    sudo update-rc.d opensky defaults
    
    sudo reboot

    During normal use, you can use following commands

    Code:
    sudo service opensky start
    
    sudo service opensky restart
    [ ok ] Restarting opensky-feeder daemon: opensky.
    
    sudo service opensky status
    [ ok ] opensky is running.
    
    sudo service opensky stop
    LOG:

    Code:
    cat /var/log/opensky.log
    
    [INFO] [COMP] Initialize STAT
    [INFO] [COMP] Initialize POS
    [INFO] [COMP] Initialize DEVTYPE
    [INFO] [COMP] Initialize NET
    [INFO] [COMP] Initialize TB
    [INFO] [COMP] Initialize SERIAL
    [INFO] [COMP] Initialize BUF
    [INFO] [COMP] Initialize RELAY
    [INFO] [COMP] Initialize RC
    [INFO] [COMP] Initialize FILTER
    [INFO] [COMP] Initialize RECV
    [INFO] [COMP] Start STAT
    [INFO] [COMP] Start POS
    [INFO] [COMP] Start DEVTYPE
    [INFO] [COMP] Start NET
    [INFO] [COMP] Start TB
    [INFO] [COMP] Start SERIAL
    [INFO] [COMP] Start RELAY
    [INFO] [COMP] Start RC
    [INFO] [COMP] Start FILTER
    [INFO] [COMP] Start RECV
    [WARN] [NET] Could not resolve host 'collector.opensky-network.org': System error
    [WARN] [NET] Tried all addresses of 'collector.opensky-network.org': could not connect
    [INFO] [INPUT] Trying to connect to 'localhost': [::1]:30005
    [WARN] [INPUT] Could not connect: Connection refused (111)
    [INFO] [INPUT] Trying to connect to 'localhost': [127.0.0.1]:30005
    [WARN] [INPUT] Could not connect: Connection refused (111)
    [WARN] [INPUT] Tried all addresses of 'localhost': could not connect
    [WARN] [NET] Could not resolve host 'collector.opensky-network.org': System error
    [WARN] [NET] Tried all addresses of 'collector.opensky-network.org': could not connect
    [INFO] [INPUT] Trying to connect to 'localhost': [::1]:30005
    [INFO] [INPUT] connected to 'localhost'
    [INFO] [NET] Trying to connect to 'collector.opensky-network.org': [194.209.200.6]:10004
    [INFO] [NET] connected to 'collector.opensky-network.org'
    [INFO] [LOGIN] Sending Device ID 5, Version 2.1.7
    [INFO] [LOGIN] Sending Serial Number 1000
    [INFO] [GPS] Sending position +43.xxxx°, -79.xxxx°, +150m
    [INFO] [LOGIN] Sending Username 'abcd567'
    [INFO] [TB] Setting sync filter: 0
    [INFO] [TB] Setting ext squitter only filter: 0
    Last edited by abcd567; 2018-11-17, 22:59.

    Leave a comment:


  • abcd567
    replied
    Installed Piaware Data Feeder on MX-Linux on Intel PC

    MX-Linux-Piaware.png


    As the Piaware's deb package available at Flightaware site is built for RPi (armh architecture) it failed to install on i386 / amd64 PC.
    I therefore built the Piaware deb package on i386 computer from the source code.


    STEP-BY-STEP METHOD

    STEP-1:
    Install packages necessary to build and necessary to fulfil dependencies
    Code:
    sudo apt update
    sudo apt install git devscripts build-essential debhelper tcl8.6-dev
    sudo apt install autoconf python3-dev python3-venv virtualenv dh-systemd
    sudo apt install zlib1g-dev tclx8.4 tcllib tcl-tls itcl3 net-tools
    STEP-2:
    Clone source code from GitHub
    Code:
    cd
    
    git clone https://github.com/flightaware/piaware_builder.git
    STEP-3:
    Build .deb package for i386 machine

    First find name of distro
    Code:
    cat /etc/os-release
    
    PRETTY_NAME="Debian GNU/Linux 9 (stretch)"
    OK, found it is "stretch"

    The build commands will use the name found above, i.e. "stretch"
    NOTE:
    If name found was "jessie", then "stretch" in following 2 commands should be replaced by "jessie"
    If name found was "xenial", then "stretch" in following 2 commands should be replaced by "xenial"
    Code:
    cd
    
    cd piaware_builder
    ./sensible-build.sh stretch
    cd package-stretch
    dpkg-buildpackage -b
    The last command above will result in huge output. Large number of lines will scroll in the terminal. It will take considerable time to finish. Please be patient and give the process time to complete,

    STEP-4:
    After the build process is completed, install the deb package
    Code:
    cd ../
    sudo dpkg -i piaware_*.deb

    STEP-5:
    Configure Receiver
    (a) If you are feeding Flightaware for the first time, go to this page and claim your receiver
    Best Flight Tracker: Live Tracking Maps, Flight Status, and Airport Delays for airline flights, private/GA flights, and airports.


    (b) If you already have a feeder-id (UUID), give following commands
    (Replace xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx by your actual feeder-id/UUID)
    Code:
    sudo piaware-config feeder-id xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx 
    sudo service piaware restart
    STEP-6:
    Check Installation Status
    Code:
    apt-cache policy piaware
    piaware:
      Installed: 3.6.3
      Candidate: 3.6.3
      Version table:
     *** 3.6.3 100
            100 /var/lib/dpkg/status
    Check Logs
    Wait for 5 minutes, then check log

    Code:
    cat /var/log/piaware.log
    
    2018-10-27 08:36:26Z creating pidfile /run/piaware/piaware.pid
    2018-10-27 08:36:26Z ****************************************************
    2018-10-27 08:36:26Z piaware version 3.6.3 is running, process ID 16960
    2018-10-27 08:36:26Z your system info is: [COLOR="#FF0000"]Linux mx 4.15.0-1-amd64[/COLOR] #1 SMP Debian 4.15.4-1~mx17+1 (2018-02-23) x86_64 GNU/Linux
    2018-10-27 08:36:27Z Connecting to FlightAware adept server at piaware.flightaware.com/1200
    2018-10-27 08:36:28Z Connection with adept server at piaware.flightaware.com/1200 established
    2018-10-27 08:36:28Z TLS handshake with adept server at piaware.flightaware.com/1200 completed
    2018-10-27 08:36:28Z FlightAware server certificate validated
    2018-10-27 08:36:28Z encrypted session established with FlightAware
    .................
    .................
    .................
    2018-10-27 08:36:30Z mlat-client(17001): [COLOR="#FF0000"]Input connected to localhost:30005[/COLOR]
    2018-10-27 08:36:30Z mlat-client(17001): Input format changed to BEAST, 12MHz clock
    2018-10-27 08:36:30Z mlat-client(17001): Beast-format results connection with ::1:30104: connection established
    2018-10-27 08:37:00Z 10 msgs recv'd from dump1090-muta; 10 msgs sent to FlightAware

    Go to this page (while logged-in to your flightaware account) to see status of your feed
    Statistics for sites feeding ADS-B flight tracking data to FlightAware. Sites, users, countries, regions, and teams are ranked by the number of aircraft reported.


    .
    Last edited by abcd567; 2018-10-28, 05:39.

    Leave a comment:


  • abcd567
    replied
    Originally posted by galenthurber View Post
    So the feeders can share sucking data from port 30005 ?
    YES

    From my Pi, I feed following 6 feeder from dump1090-mutability ver 1.15~dev on IP 127.0.0.1, Port 30005:

    (1) FlightRadar24
    (2) RadarBox24
    (3) FlightAware
    (4) Planefinder
    (5) Adsbexchange
    (6) Opensky-network

    Leave a comment:


  • Oblivian
    replied
    Originally posted by galenthurber View Post
    fabulous.
    So the feeders can share sucking data from port 30005 ?
    Most outputs are multi client connect capable.

    Sent from my XT1092 using Tapatalk

    Leave a comment:


  • galenthurber
    replied
    fabulous.
    So the feeders can share sucking data from port 30005 ?

    Leave a comment:


  • abcd567
    replied
    MX-Linux on Intel PC

    dump1090-mutability ver 1.15~dev
    Fr24 Feeder
    Planefinder Client

    MX-Linux-1.png . MX-Linux-2.png . MX-Linux-3.png

    Leave a comment:


  • abcd567
    replied
    Originally posted by galenthurber View Post
    My frugal setup (once completed) with be an old business laptop with USB2 (sub $100), running MX or Zorin Linux)
    Here is my dump1090-mutability on MX Linux
    dump1090-mut on MX Linux.png


    (1) Dump1090-mutability ver 1.15~dev:
    The 1st thing I installed was dump1090-mutability ver 1.15~dev by method given here:

    How to Install dump1090-mutability_1.15~dev on RPi

    (2) FLIGHTRADAR24 FEEDER:
    Next I installed FR24 Feeder by following method:
    Code:
    sudo wget https://repo-feed.flightradar24.com/linux_x86_binaries/fr24feed_1.0.18-5_i386.deb  
    
    sudo apt install libc6 libstdc++6 zlib1g libusb-1.0-0  
    
    sudo dpkg -i  fr24feed_1.0.18-5_i386.deb  
    
    sudo apt --fix-broken install
    Settings
    Receiver = Mode S Beast (NO DVBT)
    Host/IP 127.0.0.1:30005

    Code:
    sudo nano /etc/fr24feed.ini
    This file has following two lines.
    Delete both lines and make file /etc/fr24feed.ini empty.
    Code:
    bs="yes"
    raw="yes"

    Copy-paste following in the blank file /etc/fr24feed.ini
    (Replace xxxxxxxxxxxxxxxx by your actual FR24 key)
    Code:
    receiver="beast-tcp"
    host="127.0.0.1:30005"
    fr24key="xxxxxxxxxxxxxxxx"
    bs="no"
    raw="no"
    logmode="0"
    windowmode="0"
    mpx="no"
    mlat="yes"
    mlat-without-gps="yes"
    Save file (Ctrl+o) and Close (Ctrl+x)

    Code:
    sudo service fr24feed restart
    
    sudo service fr24feed status
    
    [ ok ] FR24 Feeder/Decoder Process: running.
    [ ok ] FR24 Stats Timestamp:.
    [ ok ] FR24 Link: connected [UDP].
    [ ok ] FR24 Radar: T-CYYZ50.
    [ ok ] FR24 Tracked AC: 1.
    [ ok ] Receiver: connected (75 MSGS/0 SYNC).

    (3) PLANEFINDER FEEDER:
    Next I installed Planefinder feeder by following method:

    Code:
    sudo wget http://client.planefinder.net/pfclient_4.1.1_i386.deb  
    
    sudo dpkg -i  pfclient_4.1.1_i386.deb
    Setting:
    Network Address = 127.0.0.1
    Port = 30005

    .
    Last edited by abcd567; 2018-10-28, 05:21.

    Leave a comment:


  • galenthurber
    replied
    I'm using a Debian based Linux called MX.
    The RTL283 dongle controlled by the fr24feed package.
    It feeds fr24 and planefinder
    fr24feed is setup to use mr-dump1090
    with the following variables
    --raw --net-beast --net
    That feeds data out to ports 30001 30002 30003 30004 30005.
    I feed the data to planefinder first using beast mode port 30005.
    Planefinder client echoes the data out on port 30054.
    I feed fr24feed gui with port 30054.
    As a kicker and seemingly thankless rewardless task I feed radarbox24 (runs under wine. added to session autostart) using data on port 30003

    The setup seems to be robust now as long I don't use too much RAM tracking planes on the computer; if so fr24feed might go into zombie mode and I'll need to reboot the laptop, Planefinder's polar view also seems to hog RAM at times

    My frugal setup (once completed) with be an old business laptop with USB2 (sub $100), running MX or Zorin Linux), nooelect SmarTee (avoid the smarT).
    RG8X feedline to either an UT106 (trimmed to 1/2wave) magnetic mount antenna onto a 4" electrical conduit cover ground plane with 2 1/2" bolt for radials (sub $10) , or my homemade semi-directional horseshoe antenna (220nm range max, solid range 120nm)

    Leave a comment:


  • abcd567
    replied
    Originally posted by cryoxdsl View Post
    ...However, I don't understand how to feed/see my data in adsbexchange.

    https://www.adsbexchange.com/how-to-feed/custom-feed-how-to/

    Custom Feed – How To
    One of the biggest requests we get is “how can I see what my receiver is receiving/sending”. Well, we have a solution to that!

    Leave a comment:


  • cryoxdsl
    replied
    Hello, I installed the last version of the automated feeder on my raspberrypi. Everything seems to work perfectly.

    However, I don't understand how to feed/see my data in adsbexchange.

    Any suggestions ?

    Leave a comment:


  • nurunet
    replied
    Originally posted by abcd567 View Post
    nurunet
    The Flghtaware status page at IP and IP:8080 is available ONLY in Piaware image.
    Thanks a lot for the clarification!

    Leave a comment:


  • abcd567
    replied
    nurunet
    The Flghtaware status page at IP and IP:8080 is available ONLY in Piaware image.
    It is NOT available in Raspbian image. It will show a Placeholder for Lighttpd at IP and IP:8080

    The Piaware image is available at STEP-2 of this page: https://flightaware.com/adsb/piaware/build

    The Raspbian image is available on this page: https://www.raspberrypi.org/downloads/raspbian/

    ,
    Last edited by abcd567; 2018-10-05, 09:12.

    Leave a comment:


  • nurunet
    replied
    Originally posted by abcd567 View Post
    (B) Raspbian image from Raspberrypi.org
    1. Burn microSD card with Raspbian Jessie Lite image. This image contains only Operating system.
    2. Install either dump1090-mutability or dump1090-fa
    3. Install Flightradar24, Flightaware, Planefinder, Adsbexchange, and Radarbox24 feeders from respective sites.
    Hi, and thanks for the great and very helpful post. I had a corrupted SD card image after my old USB power supply failed (at least I think so), so I had to reinstall my Pi Feeder. I followed this option (B).

    Now, all seems to work well (except maybe MLAT - at least on my FA status page, while it says "Multilateration (MLAT): Supported / Enabled (synchronized with 2 nearby receivers)", the number reported is "0"), but for one thing: I cannot see the local PiAware status page (Piaware-IP:8080). I can see all the other status pages (FR24, although it does not give much information, Planefinder and dump1090-mutability with the maps). I saw some other posts that seem to imply this is pretty normal if you use dump1090-mutability instead of the FA version. Is that so? And is there a workaround?

    The HTTP server (light HTTP?) seems to work fine, as I can see its placeholder page when I access the Pi's IP address without specifying a port or at port 80.

    Leave a comment:


  • abcd567
    replied
    @wiedehopf

    Some times ago, I have installed both FR24 feeder and Piaware feeder on following OS by compiling its .deb package from source:

    1. Ubuntu 16.04 x86_64 on my Desktop with intel processor.

    2. Raspbian Jessie x86 rpd desktop running in Oracle VM on my Windows 8.1 Desktop.

    I used J Prochazka's automated scripts which detect the architecture and compile the package automatically. I have created following thread in this forum in Sept 2016, describing J Prochazka's method:

    Automated Installation of Dump1090-Mutability, Data Feeders, and Performance Graphs

    .
    Last edited by abcd567; 2018-04-10, 15:38.

    Leave a comment:


  • wiedehopf
    replied
    @abcd567 I'm sorry i accidentally selected beast with fr24feed --reconfigure (running on an x86_64 debian right now).

    So of course it wasn't working.

    Thank you for clarifying.

    P.S.: Also if you install piaware manually alongside fr24 it's nice to manually visit flightaware /adsb/piaware/claim/FEEDER_ID
    with feeder_id replaced with the id piaware shows you on the command line since you don't have piaware-web (i mean you could install it)
    (had to compile all the stuff too, but i guess all that does not really belong here)

    Leave a comment:

Working...
X